---
title: Overview
pageTitle: WunderGraph Documentation
description: Explore our guides and examples to integrate WunderGraph.
isIndexFile: true
---

Learn how to use and configure WunderGraph. {% .lead %}

## Getting Started

{% quick-links %}

{% quick-link title="Installation" icon="installation" href="/getting-started" description="Step-by-step guides to get started with WunderGraph" /%}
{% quick-link title="Examples" icon="examples" href="/docs/examples" description="Check out our examples to see how WunderGraph integrates with other tools" /%}
{% quick-link title="Tutorials" icon="tutorials" href="/docs/tutorials" description="Follow our full-length tutorials to build and learn with WunderGraph from scratch" /%}
{% quick-link title="Guides" icon="guides" href="/docs/guides" description="If you've got a specific use-case in mind, our Guides might help you get there faster." /%}

{% /quick-links %}

## Understanding WunderGraph

{% quick-links %}

{% quick-link title="Use Cases" icon="usecases" href="/docs/use-cases" description="Learn more about what problems WunderGraph can solve for you" /%}
{% quick-link title="Architecture" icon="architecture" href="/docs/architecture" description="Get a better understanding of the architecture of WunderGraph" /%}
{% quick-link title="Features" icon="features" href="/docs/features" description="The most important features of WunderGraph explained" /%}
{% quick-link title="Data Sources" icon="datasources" href="/docs/features" description="Get an overview of all the supported Data Sources" /%}

{% /quick-links %}

## Reference

{% quick-links %}

{% quick-link title="Core concepts" icon="core" href="/docs/core-concepts" description="WunderGraph specific terminology explained" /%}
{% quick-link title="wunderctl reference" icon="wunderctl" href="/docs/wunderctl-reference" description="Learn how to use the WunderGraph CLI" /%}
{% quick-link title="Directives reference" icon="directives" href="/docs/directives-reference" description="Learn how to use Directives to configure Operations" /%}
{% quick-link title="wundergraph.config.ts reference" icon="config" href="/docs/wundergraph-config-ts-reference" description="Learn to easily configure your WunderGraph applications" /%}
{% quick-link title="wundergraph.server.ts reference" icon="server" href="/docs/wundergraph-server-ts-reference" description="Learn to easily customize your WunderGraph server" /%}
{% quick-link title="wundergraph.operations.ts reference" icon="operations" href="/docs/wundergraph-operations-ts-reference" description="Customize your Operations" /%}

{% /quick-links %}

## Join the community / getting help

If you need help, you can find us on [GitHub](https://github.com/wundergraph/wundergraph) or on our [Discord](https://wundergraph.com/discord) server.

### Discover Discussions or start a new one

If you're looking for existing discussions or want to start a new one,
we'd like to encourage you to use [GitHub Discussions](https://github.com/wundergraph/wundergraph/discussions),
as things can sometimes get lost on Discord.

### Submit an issue

If you have a problem with using WunderGraph,
found a bug or want to suggest a feature,
please submit an issue on [GitHub](https://github.com/wundergraph/wundergraph/issues/new/choose).

### Join the community

If you prefer to interact synchronously with the community,
you can join our [Discord](https://wundergraph.com/discord) server.
