package main

import (
	"crypto/tls"
	"crypto/x509"
	"fmt"
	"io"
	"io/ioutil"
	"log"
	"net/http"
	"strings"
)

func helloHandler(w http.ResponseWriter, r *http.Request) {
	fmt.Printf("Received request: %v\n", r)

	a, _ := io.ReadAll(r.Body)

	if strings.Contains(string(a), "IntrospectionQuery") {

		// Write the Introspection result of the SpaceX API to the client so that it can be introspected
		io.WriteString(w, "{\"data\":{\"__schema\":{\"queryType\":{\"name\":\"Query\"},\"mutationType\":{\"name\":\"Mutation\"},\"subscriptionType\":{\"name\":\"Subscription\"},\"types\":[{\"kind\":\"OBJECT\",\"name\":\"Query\",\"description\":null,\"fields\":[{\"name\":\"users\",\"description\":\"fetch data from the table: \\\"users\\\"\",\"args\":[{\"name\":\"distinct_on\",\"description\":\"distinct select on columns\",\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"ENUM\",\"name\":\"users_select_column\",\"ofType\":null}}},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"limit the nuber of rows returned\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"skip the first n rows. Use only with order_by\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order_by\",\"description\":\"sort the rows by one or more columns\",\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_order_by\",\"ofType\":null}}},\"defaultValue\":null},{\"name\":\"where\",\"description\":\"filter the rows returned\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_bool_exp\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"users\"}}}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"users_aggregate\",\"description\":\"fetch aggregated fields from the table: \\\"users\\\"\",\"args\":[{\"name\":\"distinct_on\",\"description\":\"distinct select on columns\",\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"ENUM\",\"name\":\"users_select_column\",\"ofType\":null}}},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"limit the nuber of rows returned\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"skip the first n rows. Use only with order_by\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order_by\",\"description\":\"sort the rows by one or more columns\",\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_order_by\",\"ofType\":null}}},\"defaultValue\":null},{\"name\":\"where\",\"description\":\"filter the rows returned\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_bool_exp\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"users_aggregate\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"users_by_pk\",\"description\":\"fetch data from the table: \\\"users\\\" using primary key columns\",\"args\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"uuid\",\"ofType\":null}},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"users\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"capsules\",\"description\":\"\",\"args\":[{\"name\":\"find\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"CapsulesFind\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"sort\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Capsule\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"capsulesPast\",\"description\":\"\",\"args\":[{\"name\":\"find\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"CapsulesFind\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"sort\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Capsule\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"capsulesUpcoming\",\"description\":\"\",\"args\":[{\"name\":\"find\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"CapsulesFind\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"sort\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Capsule\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"capsule\",\"description\":\"\",\"args\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null}},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Capsule\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"company\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Info\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"cores\",\"description\":\"\",\"args\":[{\"name\":\"find\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"CoresFind\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"sort\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Core\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"coresPast\",\"description\":\"\",\"args\":[{\"name\":\"find\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"CoresFind\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"sort\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Core\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"coresUpcoming\",\"description\":\"\",\"args\":[{\"name\":\"find\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"CoresFind\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"sort\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Core\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"core\",\"description\":\"\",\"args\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null}},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Core\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"dragons\",\"description\":\"\",\"args\":[{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Dragon\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"dragon\",\"description\":\"\",\"args\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null}},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Dragon\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"histories\",\"description\":\"\",\"args\":[{\"name\":\"find\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"HistoryFind\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"sort\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"History\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"historiesResult\",\"description\":\"\",\"args\":[{\"name\":\"find\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"HistoryFind\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"sort\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"HistoriesResult\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"history\",\"description\":\"\",\"args\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null}},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"History\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"landpads\",\"description\":\"\",\"args\":[{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Landpad\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"landpad\",\"description\":\"\",\"args\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null}},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Landpad\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launches\",\"description\":\"\",\"args\":[{\"name\":\"find\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"LaunchFind\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"sort\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Launch\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launchesPast\",\"description\":\"\",\"args\":[{\"name\":\"find\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"LaunchFind\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"sort\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Launch\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launchesPastResult\",\"description\":\"\",\"args\":[{\"name\":\"find\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"LaunchFind\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"sort\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"LaunchesPastResult\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launchesUpcoming\",\"description\":\"\",\"args\":[{\"name\":\"find\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"LaunchFind\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"sort\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Launch\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launch\",\"description\":\"\",\"args\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null}},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Launch\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launchLatest\",\"description\":\"\",\"args\":[{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Launch\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launchNext\",\"description\":\"\",\"args\":[{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Launch\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launchpads\",\"description\":\"\",\"args\":[{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Launchpad\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launchpad\",\"description\":\"\",\"args\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null}},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Launchpad\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"missions\",\"description\":\"\",\"args\":[{\"name\":\"find\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"MissionsFind\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Mission\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"missionsResult\",\"description\":\"\",\"args\":[{\"name\":\"find\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"MissionsFind\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"MissionResult\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"mission\",\"description\":\"\",\"args\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null}},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Mission\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"payloads\",\"description\":\"\",\"args\":[{\"name\":\"find\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"PayloadsFind\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"sort\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Payload\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"payload\",\"description\":\"\",\"args\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null}},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Payload\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"roadster\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Roadster\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"rockets\",\"description\":\"\",\"args\":[{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Rocket\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"rocketsResult\",\"description\":\"\",\"args\":[{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"RocketsResult\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"rocket\",\"description\":\"\",\"args\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null}},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Rocket\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"ships\",\"description\":\"\",\"args\":[{\"name\":\"find\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"ShipsFind\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"sort\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Ship\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"shipsResult\",\"description\":\"\",\"args\":[{\"name\":\"find\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"ShipsFind\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"sort\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"ShipsResult\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"ship\",\"description\":\"\",\"args\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null}},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Ship\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"ENUM\",\"name\":\"users_select_column\",\"description\":\"select columns of table \\\"users\\\"\",\"fields\":null,\"inputFields\":null,\"interfaces\":null,\"enumValues\":[{\"name\":\"id\",\"description\":\"column name\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"name\",\"description\":\"column name\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"rocket\",\"description\":\"column name\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"timestamp\",\"description\":\"column name\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"twitter\",\"description\":\"column name\",\"isDeprecated\":false,\"deprecationReason\":null}],\"possibleTypes\":null},{\"kind\":\"SCALAR\",\"name\":\"Int\",\"description\":\"The `Int` scalar type represents non-fractional signed whole numeric values. Int can represent values between -(2^31) and 2^31 - 1.\",\"fields\":null,\"inputFields\":null,\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_order_by\",\"description\":\"ordering options when selecting data from \\\"users\\\"\",\"fields\":null,\"inputFields\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"ENUM\",\"name\":\"order_by\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"name\",\"description\":\"\",\"type\":{\"kind\":\"ENUM\",\"name\":\"order_by\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"rocket\",\"description\":\"\",\"type\":{\"kind\":\"ENUM\",\"name\":\"order_by\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"timestamp\",\"description\":\"\",\"type\":{\"kind\":\"ENUM\",\"name\":\"order_by\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"twitter\",\"description\":\"\",\"type\":{\"kind\":\"ENUM\",\"name\":\"order_by\",\"ofType\":null},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"ENUM\",\"name\":\"order_by\",\"description\":\"column ordering options\",\"fields\":null,\"inputFields\":null,\"interfaces\":null,\"enumValues\":[{\"name\":\"asc\",\"description\":\"in the ascending order, nulls last\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"asc_nulls_first\",\"description\":\"in the ascending order, nulls first\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"asc_nulls_last\",\"description\":\"in the ascending order, nulls last\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"desc\",\"description\":\"in the descending order, nulls first\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"desc_nulls_first\",\"description\":\"in the descending order, nulls first\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"desc_nulls_last\",\"description\":\"in the descending order, nulls last\",\"isDeprecated\":false,\"deprecationReason\":null}],\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_bool_exp\",\"description\":\"Boolean expression to filter rows from the table \\\"users\\\". All fields are combined with a logical 'AND'.\",\"fields\":null,\"inputFields\":[{\"name\":\"_and\",\"description\":\"\",\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_bool_exp\",\"ofType\":null}},\"defaultValue\":null},{\"name\":\"_not\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_bool_exp\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_or\",\"description\":\"\",\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_bool_exp\",\"ofType\":null}},\"defaultValue\":null},{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"uuid_comparison_exp\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"name\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"String_comparison_exp\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"rocket\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"String_comparison_exp\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"timestamp\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"timestamptz_comparison_exp\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"twitter\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"String_comparison_exp\",\"ofType\":null},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"uuid_comparison_exp\",\"description\":\"expression to compare columns of type uuid. All fields are combined with logical 'AND'.\",\"fields\":null,\"inputFields\":[{\"name\":\"_eq\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"uuid\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_gt\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"uuid\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_gte\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"uuid\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_in\",\"description\":\"\",\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"uuid\",\"ofType\":null}}},\"defaultValue\":null},{\"name\":\"_is_null\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_lt\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"uuid\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_lte\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"uuid\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_neq\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"uuid\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_nin\",\"description\":\"\",\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"uuid\",\"ofType\":null}}},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"SCALAR\",\"name\":\"uuid\",\"description\":null,\"fields\":null,\"inputFields\":null,\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"description\":\"The `Boolean` scalar type represents `true` or `false`.\",\"fields\":null,\"inputFields\":null,\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"String_comparison_exp\",\"description\":\"expression to compare columns of type String. All fields are combined with logical 'AND'.\",\"fields\":null,\"inputFields\":[{\"name\":\"_eq\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_gt\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_gte\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_ilike\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_in\",\"description\":\"\",\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null}}},\"defaultValue\":null},{\"name\":\"_is_null\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_like\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_lt\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_lte\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_neq\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_nilike\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_nin\",\"description\":\"\",\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null}}},\"defaultValue\":null},{\"name\":\"_nlike\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_nsimilar\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_similar\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"SCALAR\",\"name\":\"String\",\"description\":\"The `String` scalar type represents textual data, represented as UTF-8 character sequences. The String type is most often used by GraphQL to represent free-form human-readable text.\",\"fields\":null,\"inputFields\":null,\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"timestamptz_comparison_exp\",\"description\":\"expression to compare columns of type timestamptz. All fields are combined with logical 'AND'.\",\"fields\":null,\"inputFields\":[{\"name\":\"_eq\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"timestamptz\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_gt\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"timestamptz\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_gte\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"timestamptz\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_in\",\"description\":\"\",\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"timestamptz\",\"ofType\":null}}},\"defaultValue\":null},{\"name\":\"_is_null\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_lt\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"timestamptz\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_lte\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"timestamptz\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_neq\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"timestamptz\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"_nin\",\"description\":\"\",\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"timestamptz\",\"ofType\":null}}},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"SCALAR\",\"name\":\"timestamptz\",\"description\":null,\"fields\":null,\"inputFields\":null,\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"users\",\"description\":\"columns and relationships of \\\"users\\\"\",\"fields\":[{\"name\":\"id\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"uuid\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"rocket\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"timestamp\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"timestamptz\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"twitter\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"users_aggregate\",\"description\":\"aggregated selection of \\\"users\\\"\",\"fields\":[{\"name\":\"aggregate\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"users_aggregate_fields\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"nodes\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"users\"}}}},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"users_aggregate_fields\",\"description\":\"aggregate fields of \\\"users\\\"\",\"fields\":[{\"name\":\"count\",\"description\":\"\",\"args\":[{\"name\":\"columns\",\"description\":\"\",\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"ENUM\",\"name\":\"users_select_column\",\"ofType\":null}}},\"defaultValue\":null},{\"name\":\"distinct\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"max\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"users_max_fields\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"min\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"users_min_fields\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"users_max_fields\",\"description\":\"aggregate max on columns\",\"fields\":[{\"name\":\"name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"rocket\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"timestamp\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"timestamptz\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"twitter\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"users_min_fields\",\"description\":\"aggregate min on columns\",\"fields\":[{\"name\":\"name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"rocket\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"timestamp\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"timestamptz\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"twitter\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"CapsulesFind\",\"description\":\"\",\"fields\":null,\"inputFields\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"landings\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"mission\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"original_launch\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"reuse_count\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"status\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"type\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"SCALAR\",\"name\":\"ID\",\"description\":\"The `ID` scalar type represents a unique identifier, often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as `\\\"4\\\"`) or integer (such as `4`) input value will be accepted as an ID.\",\"fields\":null,\"inputFields\":null,\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"SCALAR\",\"name\":\"Date\",\"description\":\"\",\"fields\":null,\"inputFields\":null,\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Capsule\",\"description\":\"\",\"fields\":[{\"name\":\"id\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"landings\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"missions\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"CapsuleMission\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"original_launch\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"reuse_count\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"status\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"type\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"dragon\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Dragon\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"CapsuleMission\",\"description\":\"\",\"fields\":[{\"name\":\"flight\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Dragon\",\"description\":\"\",\"fields\":[{\"name\":\"active\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"crew_capacity\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"description\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"diameter\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Distance\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"dry_mass_kg\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"dry_mass_lb\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"first_flight\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"heat_shield\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"DragonHeatShield\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"height_w_trunk\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Distance\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"id\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launch_payload_mass\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Mass\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launch_payload_vol\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Volume\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"orbit_duration_yr\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"pressurized_capsule\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"DragonPressurizedCapsule\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"return_payload_mass\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Mass\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"return_payload_vol\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Volume\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"sidewall_angle_deg\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"thrusters\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"DragonThrust\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"trunk\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"DragonTrunk\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"type\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"wikipedia\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Distance\",\"description\":\"\",\"fields\":[{\"name\":\"feet\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"meters\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"SCALAR\",\"name\":\"Float\",\"description\":\"The `Float` scalar type represents signed double-precision fractional values as specified by [IEEE 754](https://en.wikipedia.org/wiki/IEEE_floating_point).\",\"fields\":null,\"inputFields\":null,\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"DragonHeatShield\",\"description\":\"\",\"fields\":[{\"name\":\"dev_partner\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"material\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"size_meters\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"temp_degrees\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Mass\",\"description\":\"\",\"fields\":[{\"name\":\"kg\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"lb\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Volume\",\"description\":\"\",\"fields\":[{\"name\":\"cubic_feet\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"cubic_meters\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"DragonPressurizedCapsule\",\"description\":\"\",\"fields\":[{\"name\":\"payload_volume\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Volume\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"DragonThrust\",\"description\":\"\",\"fields\":[{\"name\":\"amount\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"fuel_1\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"fuel_2\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"pods\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"thrust\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Force\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"type\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Force\",\"description\":\"\",\"fields\":[{\"name\":\"kN\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"lbf\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"DragonTrunk\",\"description\":\"\",\"fields\":[{\"name\":\"cargo\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"DragonTrunkCargo\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"trunk_volume\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Volume\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"DragonTrunkCargo\",\"description\":\"\",\"fields\":[{\"name\":\"solar_array\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"unpressurized_cargo\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Info\",\"description\":\"\",\"fields\":[{\"name\":\"ceo\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"coo\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"cto_propulsion\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"cto\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"employees\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"founded\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"founder\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"headquarters\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Address\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launch_sites\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"links\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"InfoLinks\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"summary\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"test_sites\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"valuation\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"vehicles\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Address\",\"description\":\"\",\"fields\":[{\"name\":\"address\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"city\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"state\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"InfoLinks\",\"description\":\"\",\"fields\":[{\"name\":\"elon_twitter\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"flickr\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"twitter\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"website\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"CoresFind\",\"description\":\"\",\"fields\":null,\"inputFields\":[{\"name\":\"asds_attempts\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"asds_landings\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"block\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"missions\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"original_launch\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"reuse_count\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"rtls_attempts\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"rtls_landings\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"status\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"water_landing\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Core\",\"description\":\"\",\"fields\":[{\"name\":\"asds_attempts\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"asds_landings\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"block\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"id\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"missions\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"CapsuleMission\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"original_launch\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"reuse_count\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"rtls_attempts\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"rtls_landings\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"status\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"water_landing\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"HistoryFind\",\"description\":\"\",\"fields\":null,\"inputFields\":[{\"name\":\"end\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"flight_number\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"start\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"History\",\"description\":\"\",\"fields\":[{\"name\":\"details\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"event_date_unix\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"event_date_utc\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"id\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"links\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Link\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"title\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"flight\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Launch\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Link\",\"description\":\"\",\"fields\":[{\"name\":\"article\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"reddit\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"wikipedia\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Launch\",\"description\":\"\",\"fields\":[{\"name\":\"details\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"id\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"is_tentative\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launch_date_local\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launch_date_unix\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launch_date_utc\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launch_site\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"LaunchSite\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launch_success\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launch_year\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"links\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"LaunchLinks\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"mission_id\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"mission_name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"rocket\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"LaunchRocket\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"static_fire_date_unix\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"static_fire_date_utc\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"telemetry\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"LaunchTelemetry\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"tentative_max_precision\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"upcoming\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"ships\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Ship\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"LaunchSite\",\"description\":\"\",\"fields\":[{\"name\":\"site_id\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"site_name_long\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"site_name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"LaunchLinks\",\"description\":\"\",\"fields\":[{\"name\":\"article_link\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"flickr_images\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"mission_patch_small\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"mission_patch\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"presskit\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"reddit_campaign\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"reddit_launch\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"reddit_media\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"reddit_recovery\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"video_link\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"wikipedia\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"LaunchRocket\",\"description\":\"\",\"fields\":[{\"name\":\"fairings\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"LaunchRocketFairings\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"first_stage\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"LaunchRocketFirstStage\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"rocket_name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"rocket_type\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"rocket\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Rocket\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"second_stage\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"LaunchRocketSecondStage\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"LaunchRocketFairings\",\"description\":\"\",\"fields\":[{\"name\":\"recovered\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"recovery_attempt\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"reused\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"ship\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"LaunchRocketFirstStage\",\"description\":\"\",\"fields\":[{\"name\":\"cores\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"LaunchRocketFirstStageCore\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"LaunchRocketFirstStageCore\",\"description\":\"\",\"fields\":[{\"name\":\"block\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"core\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Core\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"flight\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"gridfins\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"land_success\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"landing_intent\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"landing_type\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"landing_vehicle\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"legs\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"reused\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Rocket\",\"description\":\"\",\"fields\":[{\"name\":\"active\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"boosters\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"company\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"cost_per_launch\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"country\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"description\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"diameter\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Distance\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"engines\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"RocketEngines\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"first_flight\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"first_stage\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"RocketFirstStage\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"height\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Distance\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"id\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"landing_legs\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"RocketLandingLegs\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"mass\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Mass\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"payload_weights\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"RocketPayloadWeight\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"second_stage\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"RocketSecondStage\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"stages\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"success_rate_pct\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"type\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"wikipedia\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"RocketEngines\",\"description\":\"\",\"fields\":[{\"name\":\"number\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"type\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"version\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"layout\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"engine_loss_max\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"propellant_1\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"propellant_2\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"thrust_sea_level\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Force\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"thrust_vacuum\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Force\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"thrust_to_weight\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"RocketFirstStage\",\"description\":\"\",\"fields\":[{\"name\":\"burn_time_sec\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"engines\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"fuel_amount_tons\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"reusable\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"thrust_sea_level\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Force\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"thrust_vacuum\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Force\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"RocketLandingLegs\",\"description\":\"\",\"fields\":[{\"name\":\"number\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"material\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"RocketPayloadWeight\",\"description\":\"\",\"fields\":[{\"name\":\"id\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"kg\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"lb\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"RocketSecondStage\",\"description\":\"\",\"fields\":[{\"name\":\"burn_time_sec\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"engines\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"fuel_amount_tons\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"payloads\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"RocketSecondStagePayloads\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"thrust\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Force\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"RocketSecondStagePayloads\",\"description\":\"\",\"fields\":[{\"name\":\"option_1\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"composite_fairing\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"RocketSecondStagePayloadCompositeFairing\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"RocketSecondStagePayloadCompositeFairing\",\"description\":\"\",\"fields\":[{\"name\":\"height\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Distance\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"diameter\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Distance\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"LaunchRocketSecondStage\",\"description\":\"\",\"fields\":[{\"name\":\"block\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"payloads\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Payload\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Payload\",\"description\":\"\",\"fields\":[{\"name\":\"customers\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"id\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"manufacturer\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"nationality\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"norad_id\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"orbit_params\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"PayloadOrbitParams\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"orbit\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"payload_mass_kg\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"payload_mass_lbs\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"payload_type\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"reused\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"PayloadOrbitParams\",\"description\":\"\",\"fields\":[{\"name\":\"apoapsis_km\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"arg_of_pericenter\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"eccentricity\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"epoch\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"inclination_deg\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"lifespan_years\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"longitude\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"mean_anomaly\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"mean_motion\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"periapsis_km\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"period_min\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"raan\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"reference_system\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"regime\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"semi_major_axis_km\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"LaunchTelemetry\",\"description\":\"\",\"fields\":[{\"name\":\"flight_club\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Ship\",\"description\":\"\",\"fields\":[{\"name\":\"abs\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"active\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"attempted_landings\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"class\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"course_deg\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"home_port\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"id\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"image\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"imo\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"missions\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"ShipMission\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"mmsi\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"model\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"position\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"ShipLocation\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"roles\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"speed_kn\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"status\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"successful_landings\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"type\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"url\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"weight_kg\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"weight_lbs\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"year_built\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"ShipMission\",\"description\":\"\",\"fields\":[{\"name\":\"flight\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"ShipLocation\",\"description\":\"\",\"fields\":[{\"name\":\"latitude\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"longitude\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"HistoriesResult\",\"description\":\"\",\"fields\":[{\"name\":\"result\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Result\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"data\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"History\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Result\",\"description\":\"\",\"fields\":[{\"name\":\"totalCount\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Landpad\",\"description\":\"\",\"fields\":[{\"name\":\"attempted_landings\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"details\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"full_name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"id\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"landing_type\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"location\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Location\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"status\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"successful_landings\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"wikipedia\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Location\",\"description\":\"\",\"fields\":[{\"name\":\"latitude\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"longitude\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"region\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"LaunchFind\",\"description\":\"\",\"fields\":null,\"inputFields\":[{\"name\":\"apoapsis_km\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"block\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"cap_serial\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"capsule_reuse\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"core_flight\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"core_reuse\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"core_serial\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"customer\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"eccentricity\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"end\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"epoch\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"fairings_recovered\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"fairings_recovery_attempt\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"fairings_reuse\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"fairings_reused\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"fairings_ship\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"gridfins\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"inclination_deg\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"land_success\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"landing_intent\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"landing_type\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"landing_vehicle\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"launch_date_local\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"launch_date_utc\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"launch_success\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"launch_year\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"legs\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"lifespan_years\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"longitude\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"manufacturer\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"mean_motion\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"mission_id\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"mission_name\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"nationality\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"norad_id\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"orbit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"payload_id\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"payload_type\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"periapsis_km\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"period_min\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"raan\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"reference_system\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"regime\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"reused\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"rocket_id\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"rocket_name\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"rocket_type\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"second_stage_block\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"semi_major_axis_km\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"ship\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"side_core1_reuse\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"side_core2_reuse\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"site_id\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"site_name_long\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"site_name\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"start\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"tbd\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"tentative_max_precision\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"tentative\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"LaunchesPastResult\",\"description\":\"\",\"fields\":[{\"name\":\"result\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Result\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"data\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Launch\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Launchpad\",\"description\":\"\",\"fields\":[{\"name\":\"attempted_launches\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"details\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"id\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"location\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Location\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"status\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"successful_launches\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"vehicles_launched\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Rocket\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"wikipedia\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"MissionsFind\",\"description\":\"\",\"fields\":null,\"inputFields\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"manufacturer\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"name\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"payload_id\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Mission\",\"description\":\"\",\"fields\":[{\"name\":\"description\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"id\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"manufacturers\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"twitter\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"website\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"wikipedia\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"payloads\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Payload\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"MissionResult\",\"description\":\"\",\"fields\":[{\"name\":\"result\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Result\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"data\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Mission\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"PayloadsFind\",\"description\":\"\",\"fields\":null,\"inputFields\":[{\"name\":\"apoapsis_km\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"customer\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"eccentricity\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"epoch\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"inclination_deg\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"lifespan_years\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"longitude\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"manufacturer\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"mean_motion\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"nationality\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"norad_id\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"orbit\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"payload_id\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"payload_type\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"periapsis_km\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"period_min\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"raan\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"reference_system\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"regime\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"reused\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"semi_major_axis_km\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Roadster\",\"description\":\"\",\"fields\":[{\"name\":\"apoapsis_au\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"details\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"earth_distance_km\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"earth_distance_mi\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"eccentricity\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"epoch_jd\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"inclination\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launch_date_unix\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launch_date_utc\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Date\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launch_mass_kg\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"launch_mass_lbs\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"longitude\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"mars_distance_km\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"mars_distance_mi\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"norad_id\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"orbit_type\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"periapsis_arg\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"periapsis_au\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"period_days\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"semi_major_axis_au\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"speed_kph\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"speed_mph\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"wikipedia\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"RocketsResult\",\"description\":\"\",\"fields\":[{\"name\":\"result\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Result\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"data\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Rocket\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"ShipsFind\",\"description\":\"\",\"fields\":null,\"inputFields\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"ID\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"name\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"model\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"type\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"role\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"active\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"imo\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"mmsi\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"abs\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"class\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"weight_lbs\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"weight_kg\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"year_built\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"home_port\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"status\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"speed_kn\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"course_deg\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"latitude\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"longitude\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Float\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"successful_landings\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"attempted_landings\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"mission\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"ShipsResult\",\"description\":\"\",\"fields\":[{\"name\":\"result\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"Result\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"data\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"Ship\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Mutation\",\"description\":null,\"fields\":[{\"name\":\"delete_users\",\"description\":\"delete data from the table: \\\"users\\\"\",\"args\":[{\"name\":\"where\",\"description\":\"filter the rows which have to be deleted\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_bool_exp\",\"ofType\":null}},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"users_mutation_response\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"insert_users\",\"description\":\"insert data into the table: \\\"users\\\"\",\"args\":[{\"name\":\"objects\",\"description\":\"the rows to be inserted\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_insert_input\"}}}},\"defaultValue\":null},{\"name\":\"on_conflict\",\"description\":\"on conflict condition\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_on_conflict\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"users_mutation_response\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"update_users\",\"description\":\"update data of the table: \\\"users\\\"\",\"args\":[{\"name\":\"_set\",\"description\":\"sets the columns of the filtered rows to the given values\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_set_input\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"where\",\"description\":\"filter the rows which have to be updated\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_bool_exp\",\"ofType\":null}},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"users_mutation_response\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"users_mutation_response\",\"description\":\"response of any mutation on the table \\\"users\\\"\",\"fields\":[{\"name\":\"affected_rows\",\"description\":\"number of affected rows by the mutation\",\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"returning\",\"description\":\"data of the affected rows by the mutation\",\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"users\"}}}},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_insert_input\",\"description\":\"input type for inserting data into table \\\"users\\\"\",\"fields\":null,\"inputFields\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"uuid\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"name\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"rocket\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"timestamp\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"timestamptz\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"twitter\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_on_conflict\",\"description\":\"on conflict condition type for table \\\"users\\\"\",\"fields\":null,\"inputFields\":[{\"name\":\"constraint\",\"description\":\"\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"ENUM\",\"name\":\"users_constraint\",\"ofType\":null}},\"defaultValue\":null},{\"name\":\"update_columns\",\"description\":\"\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"ENUM\",\"name\":\"users_update_column\"}}}},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"ENUM\",\"name\":\"users_constraint\",\"description\":\"unique or primary key constraints on table \\\"users\\\"\",\"fields\":null,\"inputFields\":null,\"interfaces\":null,\"enumValues\":[{\"name\":\"users_pkey\",\"description\":\"unique or primary key constraint\",\"isDeprecated\":false,\"deprecationReason\":null}],\"possibleTypes\":null},{\"kind\":\"ENUM\",\"name\":\"users_update_column\",\"description\":\"update columns of table \\\"users\\\"\",\"fields\":null,\"inputFields\":null,\"interfaces\":null,\"enumValues\":[{\"name\":\"id\",\"description\":\"column name\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"name\",\"description\":\"column name\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"rocket\",\"description\":\"column name\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"timestamp\",\"description\":\"column name\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"twitter\",\"description\":\"column name\",\"isDeprecated\":false,\"deprecationReason\":null}],\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_set_input\",\"description\":\"input type for updating data in table \\\"users\\\"\",\"fields\":null,\"inputFields\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"uuid\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"name\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"rocket\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"timestamp\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"timestamptz\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"twitter\",\"description\":\"\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"Subscription\",\"description\":null,\"fields\":[{\"name\":\"users\",\"description\":\"fetch data from the table: \\\"users\\\"\",\"args\":[{\"name\":\"distinct_on\",\"description\":\"distinct select on columns\",\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"ENUM\",\"name\":\"users_select_column\",\"ofType\":null}}},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"limit the nuber of rows returned\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"skip the first n rows. Use only with order_by\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order_by\",\"description\":\"sort the rows by one or more columns\",\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_order_by\",\"ofType\":null}}},\"defaultValue\":null},{\"name\":\"where\",\"description\":\"filter the rows returned\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_bool_exp\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"users\"}}}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"users_aggregate\",\"description\":\"fetch aggregated fields from the table: \\\"users\\\"\",\"args\":[{\"name\":\"distinct_on\",\"description\":\"distinct select on columns\",\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"ENUM\",\"name\":\"users_select_column\",\"ofType\":null}}},\"defaultValue\":null},{\"name\":\"limit\",\"description\":\"limit the nuber of rows returned\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"offset\",\"description\":\"skip the first n rows. Use only with order_by\",\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"order_by\",\"description\":\"sort the rows by one or more columns\",\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_order_by\",\"ofType\":null}}},\"defaultValue\":null},{\"name\":\"where\",\"description\":\"filter the rows returned\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_bool_exp\",\"ofType\":null},\"defaultValue\":null}],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"users_aggregate\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"users_by_pk\",\"description\":\"fetch data from the table: \\\"users\\\" using primary key columns\",\"args\":[{\"name\":\"id\",\"description\":\"\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"uuid\",\"ofType\":null}},\"defaultValue\":null}],\"type\":{\"kind\":\"OBJECT\",\"name\":\"users\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"__Schema\",\"description\":\"A GraphQL Schema defines the capabilities of a GraphQL server. It exposes all available types and directives on the server, as well as the entry points for query, mutation, and subscription operations.\",\"fields\":[{\"name\":\"types\",\"description\":\"A list of all types supported by this server.\",\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"__Type\"}}}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"queryType\",\"description\":\"The type that query operations will be rooted at.\",\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"__Type\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"mutationType\",\"description\":\"If this server supports mutation, the type that mutation operations will be rooted at.\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"__Type\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"subscriptionType\",\"description\":\"If this server support subscription, the type that subscription operations will be rooted at.\",\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"__Type\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"directives\",\"description\":\"A list of all directives supported by this server.\",\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"__Directive\"}}}},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"__Type\",\"description\":\"The fundamental unit of any GraphQL Schema is the type. There are many kinds of types in GraphQL as represented by the `__TypeKind` enum.\\n\\nDepending on the kind of a type, certain fields describe information about that type. Scalar types provide no information beyond a name and description, while Enum types provide their values. Object and Interface types provide the fields they describe. Abstract types, Union and Interface, provide the Object types possible at runtime. List and NonNull types compose other types.\",\"fields\":[{\"name\":\"kind\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"ENUM\",\"name\":\"__TypeKind\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"name\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"description\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"fields\",\"description\":null,\"args\":[{\"name\":\"includeDeprecated\",\"description\":null,\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"defaultValue\":\"false\"}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"__Field\",\"ofType\":null}}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"interfaces\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"__Type\",\"ofType\":null}}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"possibleTypes\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"__Type\",\"ofType\":null}}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"enumValues\",\"description\":null,\"args\":[{\"name\":\"includeDeprecated\",\"description\":null,\"type\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null},\"defaultValue\":\"false\"}],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"__EnumValue\",\"ofType\":null}}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"inputFields\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"__InputValue\",\"ofType\":null}}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"ofType\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"OBJECT\",\"name\":\"__Type\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"ENUM\",\"name\":\"__TypeKind\",\"description\":\"An enum describing what kind of type a given `__Type` is.\",\"fields\":null,\"inputFields\":null,\"interfaces\":null,\"enumValues\":[{\"name\":\"SCALAR\",\"description\":\"Indicates this type is a scalar.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"OBJECT\",\"description\":\"Indicates this type is an object. `fields` and `interfaces` are valid fields.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"INTERFACE\",\"description\":\"Indicates this type is an interface. `fields` and `possibleTypes` are valid fields.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"UNION\",\"description\":\"Indicates this type is a union. `possibleTypes` is a valid field.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"ENUM\",\"description\":\"Indicates this type is an enum. `enumValues` is a valid field.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"INPUT_OBJECT\",\"description\":\"Indicates this type is an input object. `inputFields` is a valid field.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"LIST\",\"description\":\"Indicates this type is a list. `ofType` is a valid field.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"NON_NULL\",\"description\":\"Indicates this type is a non-null. `ofType` is a valid field.\",\"isDeprecated\":false,\"deprecationReason\":null}],\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"__Field\",\"description\":\"Object and Interface types are described by a list of Fields, each of which has a name, potentially a list of arguments, and a return type.\",\"fields\":[{\"name\":\"name\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"description\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"args\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"__InputValue\"}}}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"type\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"__Type\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"isDeprecated\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"deprecationReason\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"__InputValue\",\"description\":\"Arguments provided to Fields or Directives and the input fields of an InputObject are represented as Input Values which describe their type and optionally a default value.\",\"fields\":[{\"name\":\"name\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"description\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"type\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"__Type\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"defaultValue\",\"description\":\"A GraphQL-formatted string representing the default value for this input value.\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"__EnumValue\",\"description\":\"One possible value for a given Enum. Enum values are unique values, not a placeholder for a string or numeric value. However an Enum value is returned in a JSON response as a string.\",\"fields\":[{\"name\":\"name\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"description\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"isDeprecated\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"Boolean\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"deprecationReason\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"__Directive\",\"description\":\"A Directive provides a way to describe alternate runtime execution and type validation behavior in a GraphQL document.\\n\\nIn some cases, you need to provide options to alter GraphQL's execution behavior in ways field arguments will not suffice, such as conditionally including or skipping a field. Directives provide this by describing additional information to the executor.\",\"fields\":[{\"name\":\"name\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"description\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"locations\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"ENUM\",\"name\":\"__DirectiveLocation\"}}}},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"args\",\"description\":null,\"args\":[],\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"OBJECT\",\"name\":\"__InputValue\"}}}},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"ENUM\",\"name\":\"__DirectiveLocation\",\"description\":\"A Directive can be adjacent to many parts of the GraphQL language, a __DirectiveLocation describes one such possible adjacencies.\",\"fields\":null,\"inputFields\":null,\"interfaces\":null,\"enumValues\":[{\"name\":\"QUERY\",\"description\":\"Location adjacent to a query operation.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"MUTATION\",\"description\":\"Location adjacent to a mutation operation.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"SUBSCRIPTION\",\"description\":\"Location adjacent to a subscription operation.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"FIELD\",\"description\":\"Location adjacent to a field.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"FRAGMENT_DEFINITION\",\"description\":\"Location adjacent to a fragment definition.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"FRAGMENT_SPREAD\",\"description\":\"Location adjacent to a fragment spread.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"INLINE_FRAGMENT\",\"description\":\"Location adjacent to an inline fragment.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"VARIABLE_DEFINITION\",\"description\":\"Location adjacent to a variable definition.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"SCHEMA\",\"description\":\"Location adjacent to a schema definition.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"SCALAR\",\"description\":\"Location adjacent to a scalar definition.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"OBJECT\",\"description\":\"Location adjacent to an object type definition.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"FIELD_DEFINITION\",\"description\":\"Location adjacent to a field definition.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"ARGUMENT_DEFINITION\",\"description\":\"Location adjacent to an argument definition.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"INTERFACE\",\"description\":\"Location adjacent to an interface definition.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"UNION\",\"description\":\"Location adjacent to a union definition.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"ENUM\",\"description\":\"Location adjacent to an enum definition.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"ENUM_VALUE\",\"description\":\"Location adjacent to an enum value definition.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"INPUT_OBJECT\",\"description\":\"Location adjacent to an input object type definition.\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"INPUT_FIELD_DEFINITION\",\"description\":\"Location adjacent to an input object field definition.\",\"isDeprecated\":false,\"deprecationReason\":null}],\"possibleTypes\":null},{\"kind\":\"ENUM\",\"name\":\"conflict_action\",\"description\":\"conflict action\",\"fields\":null,\"inputFields\":null,\"interfaces\":null,\"enumValues\":[{\"name\":\"ignore\",\"description\":\"ignore the insert on this row\",\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"update\",\"description\":\"update the row with the given values\",\"isDeprecated\":false,\"deprecationReason\":null}],\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_aggregate_order_by\",\"description\":\"order by aggregate values of table \\\"users\\\"\",\"fields\":null,\"inputFields\":[{\"name\":\"count\",\"description\":\"\",\"type\":{\"kind\":\"ENUM\",\"name\":\"order_by\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"max\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_max_order_by\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"min\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_min_order_by\",\"ofType\":null},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_max_order_by\",\"description\":\"order by max() on columns of table \\\"users\\\"\",\"fields\":null,\"inputFields\":[{\"name\":\"name\",\"description\":\"\",\"type\":{\"kind\":\"ENUM\",\"name\":\"order_by\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"rocket\",\"description\":\"\",\"type\":{\"kind\":\"ENUM\",\"name\":\"order_by\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"timestamp\",\"description\":\"\",\"type\":{\"kind\":\"ENUM\",\"name\":\"order_by\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"twitter\",\"description\":\"\",\"type\":{\"kind\":\"ENUM\",\"name\":\"order_by\",\"ofType\":null},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_min_order_by\",\"description\":\"order by min() on columns of table \\\"users\\\"\",\"fields\":null,\"inputFields\":[{\"name\":\"name\",\"description\":\"\",\"type\":{\"kind\":\"ENUM\",\"name\":\"order_by\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"rocket\",\"description\":\"\",\"type\":{\"kind\":\"ENUM\",\"name\":\"order_by\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"timestamp\",\"description\":\"\",\"type\":{\"kind\":\"ENUM\",\"name\":\"order_by\",\"ofType\":null},\"defaultValue\":null},{\"name\":\"twitter\",\"description\":\"\",\"type\":{\"kind\":\"ENUM\",\"name\":\"order_by\",\"ofType\":null},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_arr_rel_insert_input\",\"description\":\"input type for inserting array relation for remote table \\\"users\\\"\",\"fields\":null,\"inputFields\":[{\"name\":\"data\",\"description\":\"\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"LIST\",\"name\":null,\"ofType\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_insert_input\"}}}},\"defaultValue\":null},{\"name\":\"on_conflict\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_on_conflict\",\"ofType\":null},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_obj_rel_insert_input\",\"description\":\"input type for inserting object relation for remote table \\\"users\\\"\",\"fields\":null,\"inputFields\":[{\"name\":\"data\",\"description\":\"\",\"type\":{\"kind\":\"NON_NULL\",\"name\":null,\"ofType\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_insert_input\",\"ofType\":null}},\"defaultValue\":null},{\"name\":\"on_conflict\",\"description\":\"\",\"type\":{\"kind\":\"INPUT_OBJECT\",\"name\":\"users_on_conflict\",\"ofType\":null},\"defaultValue\":null}],\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"SCALAR\",\"name\":\"ObjectID\",\"description\":\"\",\"fields\":null,\"inputFields\":null,\"interfaces\":null,\"enumValues\":null,\"possibleTypes\":null},{\"kind\":\"OBJECT\",\"name\":\"CoreMission\",\"description\":\"\",\"fields\":[{\"name\":\"name\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"String\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null},{\"name\":\"flight\",\"description\":\"\",\"args\":[],\"type\":{\"kind\":\"SCALAR\",\"name\":\"Int\",\"ofType\":null},\"isDeprecated\":false,\"deprecationReason\":null}],\"inputFields\":null,\"interfaces\":[],\"enumValues\":null,\"possibleTypes\":null}],\"directives\":[]}}}")
		return
	}

	// Write the expected Dragons response to the client
	io.WriteString(w, `
{
  "data": {
    "spacex_dragons": [
      {
        "id": "dragon2",
        "name": "Dragon 2"
      },
      {
        "id": "dragon1",
        "name": "Dragon 1"
      }
    ]
  }
}
`)
}

func main() {
	// Set up a /hello resource handler
	http.HandleFunc("/", helloHandler)

	// Create a CA certificate pool and add cert.pem to it
	caCert, err := ioutil.ReadFile("./../certs/cert.pem")
	if err != nil {
		log.Fatal(err)
	}
	caCertPool := x509.NewCertPool()
	caCertPool.AppendCertsFromPEM(caCert)

	// Create the TLS Config with the CA pool and enable Client certificate validation
	tlsConfig := &tls.Config{
		ClientCAs:  caCertPool,
		ClientAuth: tls.RequireAndVerifyClientCert,
	}
	// tlsConfig.BuildNameToCertificate()

	// Create a Server instance to listen on port 8443 with the TLS config
	server := &http.Server{
		Addr:      "localhost:8443",
		TLSConfig: tlsConfig,
	}

	fmt.Println("Server listening on port 8443")

	// Listen to HTTPS connections with the server certificate and wait
	log.Fatal(server.ListenAndServeTLS("./../certs/cert.pem", "./../certs/key.pem"))
}
